AIPlatformDAO (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.dao.AIPlatformDAO class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.dao
Class AIPlatformDAO

    java.lang.Object
      org.hyperic.hq.dao.HibernateDAO
          org.hyperic.hq.dao.AIPlatformDAO

    public class AIPlatformDAO

extends HibernateDAO

Field Summary

Fields inherited from class org.hyperic.hq.dao.HibernateDAO
`BATCH_SIZE`

Constructor Summary
`AIPlatformDAO(DAOFactory f)`

Method Summary
`AIPlatform` | `create(AIPlatformValue apv)`
`java.util.Collection` | `findAllIncludingProcessed()`
`java.util.Collection` | `findAllNotIgnored()`
`java.util.Collection` | `findAllNotIgnoredIncludingProcessed()`
`AIPlatform` | `findByAgentToken(java.lang.String token)`
`AIPlatform` | `findByCertDN(java.lang.String dn)`
`AIPlatform` | `findByFQDN(java.lang.String fqdn)`
`AIPlatform` | `findById(java.lang.Integer id)`
`AIPlatform` | `findByName(java.lang.String name)`
`AIPlatform` | `get(java.lang.Integer id)`
`void` | `remove(AIPlatform entity)`
`void` | `save(AIPlatform entity)`
`void` | `updateQueueState(AIPlatform aip, AIPlatformValue aiplatform, boolean updateServers, boolean isApproval, boolean isReport)` legacy EJB method

Methods inherited from class org.hyperic.hq.dao.HibernateDAO
`cacheFindAll, createCriteria, createQuery, findAll, findAllOrderByName, findById, findById, flushSession, get, getFactory, getPagedResult, getPagedResult, getPermissionManager, getPersistentClass, getSession, remove, save, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AIPlatformDAO

    public AIPlatformDAO(DAOFactory f)

Method Detail

### findById

    public AIPlatform findById(java.lang.Integer id)

### get

    public AIPlatform get(java.lang.Integer id)

### save

    public void save(AIPlatform entity)

### remove

    public void remove(AIPlatform entity)

### create

    public AIPlatform create(AIPlatformValue apv)

### findAllNotIgnored

    public java.util.Collection findAllNotIgnored()

### findAllNotIgnoredIncludingProcessed

    public java.util.Collection findAllNotIgnoredIncludingProcessed()

### findAllIncludingProcessed

    public java.util.Collection findAllIncludingProcessed()

### findByFQDN

    public AIPlatform findByFQDN(java.lang.String fqdn)

### findByCertDN

    public AIPlatform findByCertDN(java.lang.String dn)

### findByAgentToken

    public AIPlatform findByAgentToken(java.lang.String token)

### findByName

    public AIPlatform findByName(java.lang.String name)

### updateQueueState

    public void updateQueueState(AIPlatform aip,
                                 AIPlatformValue aiplatform,
                                 boolean updateServers,
                                 boolean isApproval,
                                 boolean isReport)

  legacy EJB method

  Parameters:
    `aiplatform` - The new AI data to update this platform with.
    `updateServers` - If true, servers will be updated too.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.